/*
  Name: menues.h
  Copyright: Polecatsoft 2005
  Game: Mercenary Soldier
  Author: Master Lenman
  Date: -
  Description: All menu functions are stored in this file
*/


#ifndef MENU_NAMESPACE
#define MENU_NAMESPACE

#include <allegro.h>
#include <string>
#include "Global.h"

namespace menu
{
	int stdMenu(const int startValue, const int BUTTONS, std::string *labels, bool *states, FONT *toUse = global.size20, int borders = 50, BITMAP *button = NULL, BITMAP *buttonpressed = NULL, BITMAP *background = NULL, int col_standard = -1, int col_selected = -1, int col_disabled = -1);
	int main(const int startValue = 0);
	int savegameSelect(bool grayEmpty);
	//if fromWhere == 0 some options are not accessible
	bool options(const bool fromWhere);
	void gameOver();
	int newGameMenu();
	int skipTutorial();
	void keyChange(globals &temp);
	int inGameMenu(BITMAP *background);
	bool savegameExists();
	int getDifficulty();
	int serverClient();
	void intro();
}

#endif
